Bug 1197836 - Content VIew json is missing the repository content counts
Summary: Content VIew json is missing the repository content counts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 17:15 UTC by Walden Raines
Modified: 2017-02-23 20:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:28:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
prior to adding cv to composite cv (54.81 KB, image/png)
2015-03-17 08:11 UTC, Kedar Bidarkar
no flags Details
after adding cv to composite cv (60.84 KB, image/png)
2015-03-17 08:12 UTC, Kedar Bidarkar
no flags Details
the repo count on cv list tab is fine now (70.34 KB, image/png)
2015-05-06 16:25 UTC, Kedar Bidarkar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9608 0 None None None 2016-04-22 15:49:09 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Walden Raines 2015-03-02 17:15:43 UTC
Commit https://github.com/waldenraines/katello/commit/0603abcadd03186cf0a969274cd42c538e2a1170 removed the inclusion of the entire repositories rabl to speed up the content view index page but neglected to include the repository counts in the attribute list.  We need to add these counts back so they can be properly displayed in the UI.

h3. Steps to Reproduce

1. Ensure you have at least one published content view with at least repository or puppet module included
2. Create a composite content view
3. Add the repository via the content views tab
4. Click on list/remove
5. Note that the repository/puppet module count is not displayed

Comment 1 Walden Raines 2015-03-02 17:15:44 UTC
Created from redmine issue http://projects.theforeman.org/issues/9608

Comment 2 Walden Raines 2015-03-02 17:15:46 UTC
Upstream bug assigned to walden@redhat.com

Comment 3 Walden Raines 2015-03-02 17:32:51 UTC
PR: https://github.com/Katello/katello/pull/5068

Comment 5 Bryan Kearney 2015-03-04 19:05:32 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9608 has been closed
-------------
Walden Raines
Applied in changeset commit:katello|952d6d268ba90ca5d182ea4e0708e7b8df84a10d.

Comment 8 Kedar Bidarkar 2015-03-17 08:08:41 UTC
Now it does show the repository/puppet-module count, but the repo count is wrong.

Before adding: checking via the add Tab: the cv show 3 repos
After adding: checking via the list/view tab the cv now shows 9 repos.

Also clicking on the 9 repos , just shows 3 repos.

Comment 9 Kedar Bidarkar 2015-03-17 08:11:58 UTC
Created attachment 1002687 [details]
prior to adding cv to composite cv

Comment 10 Kedar Bidarkar 2015-03-17 08:12:30 UTC
Created attachment 1002688 [details]
after adding cv to composite cv

Comment 11 Walden Raines 2015-03-17 13:56:08 UTC
PR: https://github.com/Katello/katello/pull/5115

Comment 12 Walden Raines 2015-03-17 20:18:12 UTC
commit bc604653a55de7f15e1b10667570517eeccb9eb2
Merge: ee9bf59 bf84eac
Author: Walden Raines <walden@redhat.com>
Date:   Tue Mar 17 13:37:54 2015 -0400

    Merge pull request #5115 from waldenraines/9608
    
    Fixes #9608: correct repository count, BZ 1197836.

commit bf84eacfa15a5dc7f625da7f4196875ac5f8fb19
Author: Walden Raines <walden@redhat.com>
Date:   Tue Mar 17 09:47:05 2015 -0400

    Fixes #9608: correct repository count, BZ 1197836.
    
    The respository counts were wrong on the content view
    composite list page.  This commit fixes the counts.
    
    http://projects.theforeman.org/issues/9608
    https://bugzilla.redhat.com/show_bug.cgi?id=1197836

Comment 14 Kedar Bidarkar 2015-05-06 16:25:07 UTC
Created attachment 1022734 [details]
the repo count on cv list tab is fine now

VERIFIED with Sat6.1.0-GA-SNAP2

Comment 15 Bryan Kearney 2015-08-11 13:30:03 UTC
This bug is slated to be released with Satellite 6.1.

Comment 16 errata-xmlrpc 2015-08-12 05:28:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.